<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'BoardMessages'"></refreshable-panel-header>
    <refreshable-panel-content>
        <refreshable-panel-actions [dataProvider]="this">
            <form autocomplete="off" #postForm="ngForm" (submit)="create()">
                <h4> {{ "CreateNewBoardMessage" | localize }}:</h4>
                <div class="container-fluid">
                    <div class="row">
                        <mat-form-field class="col-12 col-lg-3">
                            <mat-select name="selectedCourse" [(ngModel)]="newBoardMessage.courseId">
                                <mat-option>
                                    {{ "None" | localize }}
                                </mat-option>
                                <mat-option *ngFor="let course of courses" [value]=" course.course.id">
                                    {{ course.course.title }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                        <mat-form-field class="col-12 col-lg-1">
                            <mat-select name="selectedGrade" [(ngModel)]="newBoardMessage.grade">
                                <mat-option>
                                    {{ "None" | localize }}
                                </mat-option>
                                <mat-option *ngFor="let grade of grades" [value]="grade.v">
                                    {{ grade.s }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                        <mat-checkbox class="col-1" matInput [(ngModel)]="hasDueDate" name="hasDueDate">
                            {{ "HasDueDate" | localize }}
                        </mat-checkbox>
                        <mat-form-field class="col-12 col-lg-2">
                            <input matInput [placeholder]="'DueDate' | localize" [matDatepicker]="dueDatePicker"
                                [formControl]="dueDate" />
                            <mat-datepicker-toggle matSuffix [for]="dueDatePicker"></mat-datepicker-toggle>
                            <mat-datepicker #dueDatePicker></mat-datepicker>
                        </mat-form-field>
                        <div class="col-12 col-lg-7">
                            <mat-form-field>
                                <textarea matInput [placeholder]="'BoardText' | localize" name="replyText" required
                                    [(ngModel)]="newBoardMessage.text"></textarea>
                            </mat-form-field>
                            <input name="attachedFiles" type="file" multiple (change)="onFileChange($event)" />
                        </div>
                        <div class="col-12 col-lg-1">
                            <button mat-button type="submit" color="primary" class="btn btn-default"
                                [disabled]="!postForm.form.valid || sending">
                                {{ "Post" | localize }}
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </refreshable-panel-actions>
        <ul class="list-group">
            <li class="list-group-item" *ngFor="let message of messages">
                <p>
                    <strong> {{ "From" | localize }}: </strong>
                    {{ message.instructor.firstName + " " + message.instructor.lastName }}
                </p>
                <p class="well well-sm">
                    {{ message.text }}
                </p>
                <p *ngIf="message.uploadedFiles.length != 0">
                    <strong> {{ "Files" | localize }}: </strong>
                    <a *ngFor="let file of message.uploadedFiles" (click)="downloadFile(file)">
                        {{ file.fileName }}
                    </a>
                </p>
                <button mat-raised-button (click)="deleteMessage(message.id)" [color]="'warn'"
                    *ngIf="message.instructorId == instructorId">
                    {{ "Delete" | localize }}
                </button>
            </li>
        </ul>
    </refreshable-panel-content>
</refreshable-panel>
